Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.videowise.com/llms.txt

Use this file to discover all available pages before exploring further.

Base URL

https://api.videowise.com

Upload Media

POST /external/media/v1

Uploads a video or image file to Videowise.

Headers

KeyTypeRequiredDescription
X-Videowise-Access-TokenStringYesAccess token to authorize the request.

Request Body

The request must be sent as multipart/form-data.
FieldTypeRequiredDescription
fileContentFileYesThe media file to upload.

File Limitations

Video Files

Max size: 50 MBSupported formats:
  • .mp4
  • .mov

Image Files

Max size: 5 MBSupported formats:
  • .jpeg / .jpg
  • .webp
  • .png
  • .gif
  • .avif

Example Request

curl -X POST https://api.videowise.com/external/media/v1 \
  -H "X-Videowise-Access-Token: <your_access_token>" \
  -F "fileContent=@/path/to/your/video.mp4"

Response

FieldTypeDescription
idStringThe unique identifier of the uploaded media.
urlStringThe URL of the uploaded media file.
{
  "id": "6a0ef7bd30cc5df396bf8bbf",
  "url": "https://cdn2.videowise.com/media/custom-videos/videos/1779365821653_wid_NmEwZWY3YmQzMGNjNWRmMzk2YmY4YmJm.mp4",
  "hostKey": "custom-videos/videos/1779365821653_wid_NmEwZWY3YmQzMGNjNWRmMzk2YmY4YmJm.mp4"
}
StatusDescription
200Media uploaded successfully.
400Bad request. File type or size is not supported.
401Unauthorized access.

Error Codes

StatusDescription
400Bad request. File type is not allowed or file exceeds the size limit.
401Unauthorized. Access token is missing or invalid.